BATWATCH(1)

NAME
batwatch - Watch for changes in files or command output, and print them with bat.

DESCRIPTION

USAGE

    batwatch [OPTIONS] FILE...

    batwatch [OPTIONS] --command COMMAND [ARG...]

OPTIONS
Short | Long | Description
 | --command | -x | Execute a command on an interval.
 | --file | -f | Watch a file for changes.
 | --watcher=[watcher] | Use a specific program to watch for file changes. See below for more details.
 | --interval=[seconds] | The interval for executing commands.
 | --clear | Clear the screen before printing the files. This is enabled by default.
 | --no-clear | Do not clear the screen before printing the files.
 | --color | Force color output.
 | --no-color | Force disable color output.

All remaining options are passed through to bat.

WATCHERS

Batwatch uses external programs to watch for file changes.
Currently, the following programs are supported:

- entr

There is also a fallback poll watcher available.